PDA

View Full Version : SLES 11 SP4 SDK: libmysqlclient 5.5.43 devel missing?



tissupport
22-Jun-2018, 17:07
Hi,

SLES 11 SP4 provides

mysql server and libmysqlclient in version 5.5.43.
It also provides libmysqlclient in version 5.0.96.

But the SDK only provides a devel rpm for libmysqlclient 5.0.96.

Is the devel rpm for 5.5.43 missing or can I use the 5.0.96 devel also if building a client
based on libmysqlclient 5.5.43 ?

Thank you
Dan

smflood
26-Jun-2018, 12:14
On 22/06/18 17:14, tissupport wrote:

> SLES 11 SP4 provides
>
> mysql server and libmysqlclient in version 5.5.43.
> It also provides libmysqlclient in version 5.0.96.
>
> But the SDK only provides a devel rpm for libmysqlclient 5.0.96.
>
> Is the devel rpm for 5.5.43 missing or can I use the 5.0.96 devel also
> if building a client
> based on libmysqlclient 5.5.43 ?

For libmysqlclient for MySQL 5.5.43 you need to install
libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm

This would also suggest that your server is not fully patched as the
latest libmysql55client (to match latest MySQL available for SLES11 SP4)
is 5.5.60.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

tissupport
26-Jun-2018, 13:21
Hi Simon,

yes the server is currently not fully patched.
I know that libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm
needs to be installed for MySQL 5.5.43.

But the question was:
where is the related devel rpm?
Although SLES 11 SP4 provides libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm,
the SLES 11 SP4 SDK does only provide a devel rpm for the 5.0.96 client lib,
but no devel rpm for the 5.5.43 client lib.

Regards
Dan

ab
26-Jun-2018, 14:09
Perhaps you could help us understand what you see different about the
devel RPMs available for the different versions. While I agree that I do
not see any package filename with 'devel' in the name for MySQL 5.5, the
contents of the 5.0 one and the 5.5 package for libraries appears to be
identical in relevant ways. The following are checking the 5.5 and 5.0
packages available on the SDK x86_64 DVD1 ISO file that I just downloaded:



/mnt/test/suse/x86_64/libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm
2018-06-26 07:05:34 Jobs:0 Err:0
ab@mybox:~> rpm -qlp
/mnt/test/suse/x86_64/libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm
/usr/lib/libmysql55client_r.so.18
/usr/lib/libmysql55client_r.so.18.0.0
2018-06-26 07:05:54 Jobs:0 Err:0

ab@mybox:~> rpm -qlp
/mnt/test/suse/x86_64/libmysqlclient_r15-32bit-5.0.96-0.6.20.x86_64.rpm
/usr/lib/libmysqlclient_r.so.15
/usr/lib/libmysqlclient_r.so.15.0.0
/usr/lib/mysql
/usr/lib/mysql/libmysqlclient_r.so.15
/usr/lib/mysql/libmysqlclient_r.so.15.0.0


Going forward newer versions of the released product include the libraries
package (without 'devel' in its name) along with patches for the main
product, so everything should be downloaded, if applicable, at the same time.

The ISO I used came from
https://download.suse.com/protected/Summary.jsp?buildid=GD_bL078XxY~

What's in a name? That which we call a rose by any other word would smell
as sweet;

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

tissupport
26-Jun-2018, 14:41
Need to develop a client based on the 5.5.x client lib.
Because of this, I need the related "devel rpm", which provides
the C header files, which are required for development.
The RPMs you are listing, only contain the libraries.

The RPM of interest is:
host:/media/SLE-11-SP4-SDK-DVD-x86_6408401/suse/x86_64 # ls *mysql*dev*
libmysqlclient-devel-5.0.96-0.6.1.x86_64.rpm
host:/media/SLE-11-SP4-SDK-DVD-x86_6408401/suse/x86_64 # rpm -qlp libmysqlclient-devel-5.0.96-0.6.1.x86_64.rpm
/usr/bin/comp_err
/usr/bin/mysql_config
/usr/include/mysql
/usr/include/mysql/decimal.h
/usr/include/mysql/errmsg.h
/usr/include/mysql/keycache.h
/usr/include/mysql/m_ctype.h
/usr/include/mysql/m_string.h
/usr/include/mysql/my_alloc.h
/usr/include/mysql/my_attribute.h
/usr/include/mysql/my_config.h
/usr/include/mysql/my_dbug.h
/usr/include/mysql/my_dir.h
/usr/include/mysql/my_getopt.h
/usr/include/mysql/my_global.h
/usr/include/mysql/my_list.h
/usr/include/mysql/my_net.h
/usr/include/mysql/my_no_pthread.h
/usr/include/mysql/my_pthread.h
/usr/include/mysql/my_sys.h
/usr/include/mysql/my_xml.h
/usr/include/mysql/mysql.h
[...]

However, the SDK only provides the above shown 5.0.x devel rpm, although the
OS provides both, the 5.0.x client lib and the 5.5.x client lib.
The minor release is not of interest. It does not matter if 5.5.43 or 5.5.60.
But the major release must not differ.
I cannot develop a client based on the lib provided by libmysql55client_r18-32bit-5.5.43-0.7.3.x86_64.rpm
using the C header files provided by libmysqlclient-devel-5.0.96-0.6.1.x86_64.rpm.

In fact the SDK misses to provide something like:
libmysql55client-devel-5.5.xx-x.x.x.x86_64.rpm

tissupport
27-Jun-2018, 13:31
Issue is solved. For information:

Had a support ticket in parallel.
Support confirmed that the devel rpm is missing in the SDK and suggested to install the
complete sources (mysql-5.5.60-0.39.12.1.src.rpm) instead.
However, we decided to use MySQL-devel-5.5.60-1.sles11.x86_64.rpm from mysql.com instead.

Regards
Dan

smflood
27-Jun-2018, 16:59
On 27/06/18 13:34, tissupport wrote:

> Issue is solved. For information:
>
> Had a support ticket in parallel.
> Support confirmed that the devel rpm is missing in the SDK and suggested
> to install the
> complete sources (mysql-5.5.60-0.39.12.1.src.rpm) instead.
> However, we decided to use MySQL-devel-5.5.60-1.sles11.x86_64.rpm from
> mysql.com instead.

Thanks for the report back. I guess you grabbed that package from
https://dev.mysql.com/downloads/mysql/5.5.html?os=31 ?

Have you just used the MySQL-devel package from MySQL (with SUSE's mysql
packages) or with other MySQL packages from MySQL?

Have you seen https://dev.mysql.com/doc/mysql-sles-repo-quick-guide/en/
? By following that I found mysql55-community-devel-5.5.60-2.sles11.

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

tissupport
28-Jun-2018, 09:56
On 27/06/18 13:34, tissupport wrote:
Thanks for the report back. I guess you grabbed that package from
https://dev.mysql.com/downloads/mysql/5.5.html?os=31 ?

Have you just used the MySQL-devel package from MySQL (with SUSE's mysql
packages) or with other MySQL packages from MySQL?

Yes, only downloaded the devel from
https://dev.mysql.com/downloads/mysql/5.5.html#downloads
and using other MySQL packages from the SLES 11 DVD.



Have you seen https://dev.mysql.com/doc/mysql-sles-repo-quick-guide/en/
? By following that I found mysql55-community-devel-5.5.60-2.sles11.

Thank you, haven't seen this yet.